L2CONTROL(8)

NAME
l2control - L2CAP configuration utility

SYNOPSIS
l2control [-hn] -a local command [parameters ...]

DESCRIPTION
The l2control utility connects to the local device with the specified BD_ADDR or name and attempts to send the specified command. The l2control utility will print results to the standard output and error messages to the standard error output.

The options are as follows:

-a local
    Connect to the local device with the specified BD_ADDR or name. Example: -a 00:01:02:03:04:05 or -a bt_device.

-h  Display usage message and exit.

-n  Show Bluetooth addresses as numbers. Normally l2control attempts to resolve Bluetooth addresses, and display them symbolically.

command
    One of the supported commands (see below). The special command help can be used to obtain a list of all supported commands. To get more information about a specific command use help command.

parameters
    One or more optional space separated command parameters.

COMMANDS
The currently supported node commands in l2control are:

Read_Node_Flags
Read_Debug_Level
Write_Debug_Level
Read_Connection_List
Read_Channel_List
Read_Auto_Disconnect_Timeout
Write_Auto_Disconnect_Timeout

EXIT STATUS

SEE ALSO
netgraph(3), netgraph(4), ng_l2cap(4), l2ping(8)

AUTHORS
Maksim Yevmenkin <emax@FreeBSD.org>